#!/bin/sh

# Clone the repository
cd
## Check if the repository exists

if [ -d ~/superset ] then
  echo "The $HOME/superset directory already exists. Skipping the cloning step."
else
  echo "Cloning the Apache Superset repository to the $HOME/superset directory."
  git clone --depth=1  https://github.com/apache/superset.git
fi

cd ~/superset

# Add Hive dependencies
touch ./docker/requirements-local.txt
## Check if the pyhive dependency already exists
if grep -q "pyhive" ./docker/requirements-local.txt; then
  echo "The pyhive dependency already exists in the requirements-local.txt file."
else
  echo "Adding the pyhive dependency to the requirements-local.txt file."
  echo "pyhive" >> ./docker/requirements-local.txt
fi

# Build the non-dev image
echo "Building the non-dev docker-compose image"
docker compose -f docker-compose-non-dev.yml up -d
